
import RPi.GPIO as GPIO
from time import sleep
import datetime

ledpin = 35				# PWM pin connected to LED
GPIO.setwarnings(False)			#disable warnings
GPIO.setmode(GPIO.BOARD)		#set pin numbering system
GPIO.setup(ledpin,GPIO.OUT)
pi_pwm = GPIO.PWM(ledpin,1000)		#create PWM instance with frequency
pi_pwm.start(0)				#start PWM of required Duty Cycle 

#Se agrega el tema de la zona horario
estados = {'diurno':0, 'nocturno':100}
x = datetime.datetime.now()
hour = x.hour 
estado_actual = 'diurno'
estado_anterior = estado_actual
print(hour)
print(estado_actual)
pi_pwm.ChangeDutyCycle(estados[estado_actual])
sleep(10)
print("hola")
pi_pwm.ChangeDutyCycle(estados[estado_actual])
print(estados[estado_actual])


while True:
    x= datetime.datetime.now() 
    hour=x.hour
    if estado_actual!=estado_anterior:
        print("hola2")
        pi_pwm.ChangeDutyCycle(estados[estado_actual])
        estado_anterior = estado_actual
        
    if 10<=hour<19:
        estado_actual = 'diurno'
    else:
        estado_actual = 'nocturno'
    print(estados[estado_actual])

    print(estado_actual)
    sleep(1)
